Subject: Re: bug#17466: unexpected bytevector contents with get-bytevector-n

From: [email-masked] (Ludovic Courtès)
Date: Wed, 28 May 2014 19:32:22 +0200

This is fixed by commit 1baa215, which will be in Guile 2.0.12.

It turns out that when shrinking a bytevector, as happens before
‘get-bytevector-n’ returns, the pointer to the bytevector’s contents
would not be left pointing to the old bytevector.  When that old
bytevector was eventually reclaimed, anything could happen.

Thanks!

Ludo’.